# Glib::ValueBase_Object Class Reference
[Generic Values]

Inherits Glib::ValueBase.

Inherited by Glib::Value_Pointer< T, PtrT >, Glib::Value_Pointer< T, const T* >, and Glib::Value_Pointer< T, T* >.

Collaboration diagram for Glib::ValueBase_Object:
[legend]

List of all members.

## Static Public Member Functions

static GType | value_type ()

## Protected Member Functions

void | set_object (Glib::ObjectBase* data)
Glib::ObjectBase* | get_object () const
Glib::RefPtr< Glib::ObjectBase > | get_object_copy () const

## Member Function Documentation

Glib::ObjectBase* Glib::ValueBase_Object::get_object | ( |  | ) | const`[protected]`

Glib::RefPtr<Glib::ObjectBase> Glib::ValueBase_Object::get_object_copy | ( |  | ) | const`[protected]`

void Glib::ValueBase_Object::set_object | ( | Glib::ObjectBase* | data | ) | `[protected]`

static GType Glib::ValueBase_Object::value_type | ( |  | ) | `[static]`

Reimplemented in Glib::Value_Pointer< T, PtrT >, Glib::Value_Pointer< T, T* >, and Glib::Value_Pointer< T, const T* >.

The documentation for this class was generated from the following file:

- glibmm/value.h